<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- use with xmlintro.xml -->

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:="http://www.w3.org/TR/REC-html40">

  <xsl:include href="page.xsl"/>

  <xsl:template name="content">

    <script language="JavaScript1.2">

      $(document).ready(function() {
        // alert ('ready');

        $('.dptlink').click( function () {
          var deptid = this.name;
          // alert (deptid);
          $.get('/RestFrameDebug.RestFrame/department/' + deptid + '.xml',
	    {},
	    function (xml){
              var info = $('//location', xml).text();
              // alert (info);
              $('#details_' + deptid).append ('Location: ' + info);
            });
          } );
      });
    </script>

<!--


    -->
    <h1>DEPARTMENT</h1>

    <xsl:apply-templates select="/department_table" />

    <xsl:apply-templates select="/department" mode="single" />

  </xsl:template>
  
  <xsl:template match="department_table">
    <table>
      <xsl:apply-templates select="department" mode="table"/>
    </table>
  </xsl:template>


  <xsl:template match="department" mode="single">
    <table>
      <xsl:for-each select="*">
	<tr>
	   <td><xsl:value-of select="name()"/></td>
	   <td><xsl:value-of select="."/></td>
	</tr>
      </xsl:for-each>
    </table>
  </xsl:template>

  <xsl:template match="department" mode="table">
    <tr>
      <td><a href="/RestFrameDebug.RestFrame/department/{dept_no}.html"><xsl:value-of select="dept_no"/></a></td>
      <td><a class="dptlink" href="#" name="{dept_no}"></a><xsl:value-of select="department"/></td>
      <td><a href="/RestFrameDebug.RestFrame/employee/{mngr_no}.html"><xsl:value-of select="mngr_no"/></a></td>
      <td><div id="details_{dept_no}"></div></td>
    </tr>
  </xsl:template>

  
</xsl:stylesheet>
        
